/* HTML: <div class="loader"></div> */
.loader {
  width: 100px;
  aspect-ratio: 1;
  padding: 10px;
  box-sizing: border-box;
  display: grid;
  background: #fff;
  filter: blur(3px) contrast(7) hue-rotate(290deg);
  mix-blend-mode: darken;
}
.loader:before{
  content: "";
  margin: auto;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  color: #ff0000;
  background: currentColor;
  box-shadow: -30px 0,30px 0,0 30px, 0 -30px;
  animation: l6 1s infinite alternate;
}
@keyframes l6{
  90%,100% {box-shadow: -10px 0,10px 0,0 10px, 0 -10px;transform: rotate(180deg)}
}